javax.annotation.processing

## Annotation Type SupportedSourceVersion

    @Documented
    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface SupportedSourceVersion

An annotation used to indicate the latest source version an annotation processor supports. The `Processor.getSupportedSourceVersion()` method can construct its result from the value of this annotation, as done by `AbstractProcessor.getSupportedSourceVersion()`.

Since:
  1.6

### Required Element Summary

Required Elements
`SourceVersion` `value`

### Element Detail

#### value

    public abstract SourceVersion value

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.